Package gov.nasa.gsfc.sscweb.schema

# Class GraphLabelOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphLabelOptions

public class GraphLabelOptions extends Object
Custom label options for an SSC graph request. <p>Java class for GraphLabelOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GraphLabelOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="DayOfYearLabelFrequency" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MonthDayOfMonthLabel" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="HourLabelFrequency" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="HourTickMarkFrequency" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MinuteLabelFrequency" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="MinuteTickMarkFrequency" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `dayOfYearLabelFrequency`
  Specifies frequency of day-of-year labels.
  `protected int`
  `hourLabelFrequency`
  Specifies frequency of hour labels.
  `protected int`
  `hourTickMarkFrequency`
  Specifies frequency of hour tick labels.
  `protected int`
  `minuteLabelFrequency`
  Specifies frequency of minute labels.
  `protected int`
  `minuteTickMarkFrequency`
  Specifies frequency of minute tick labels.
  `protected boolean`
  `monthDayOfMonthLabel`
  Specifies format of day-of-year labels.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphLabelOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDayOfYearLabelFrequency()`
  Specifies frequency of day-of-year labels.
  `int`
  `getHourLabelFrequency()`
  Specifies frequency of hour labels.
  `int`
  `getHourTickMarkFrequency()`
  Specifies frequency of hour tick labels.
  `int`
  `getMinuteLabelFrequency()`
  Specifies frequency of minute labels.
  `int`
  `getMinuteTickMarkFrequency()`
  Specifies frequency of minute tick labels.
  `boolean`
  `isMonthDayOfMonthLabel()`
  Specifies format of day-of-year labels.
  `void`
  `setDayOfYearLabelFrequency(int value)`
  Sets the value of the dayOfYearLabelFrequency property.
  `void`
  `setHourLabelFrequency(int value)`
  Sets the value of the hourLabelFrequency property.
  `void`
  `setHourTickMarkFrequency(int value)`
  Sets the value of the hourTickMarkFrequency property.
  `void`
  `setMinuteLabelFrequency(int value)`
  Sets the value of the minuteLabelFrequency property.
  `void`
  `setMinuteTickMarkFrequency(int value)`
  Sets the value of the minuteTickMarkFrequency property.
  `void`
  `setMonthDayOfMonthLabel(boolean value)`
  Sets the value of the monthDayOfMonthLabel property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dayOfYearLabelFrequency

    protected int dayOfYearLabelFrequency
    Specifies frequency of day-of-year labels.

  - ### monthDayOfMonthLabel

    protected boolean monthDayOfMonthLabel
    Specifies format of day-of-year labels. A false value specifies that a day-of-year value should label day-of-year tick marks. A true value indicates that a month/day-of-month value is to label day-of-year tick marks.

  - ### hourLabelFrequency

    protected int hourLabelFrequency
    Specifies frequency of hour labels.

  - ### hourTickMarkFrequency

    protected int hourTickMarkFrequency
    Specifies frequency of hour tick labels.

  - ### minuteLabelFrequency

    protected int minuteLabelFrequency
    Specifies frequency of minute labels.

  - ### minuteTickMarkFrequency

    protected int minuteTickMarkFrequency
    Specifies frequency of minute tick labels.

- ## Constructor Details

  - ### GraphLabelOptions

    public GraphLabelOptions()

- ## Method Details

  - ### getDayOfYearLabelFrequency

    public int getDayOfYearLabelFrequency()
    Specifies frequency of day-of-year labels.

  - ### setDayOfYearLabelFrequency

    public void setDayOfYearLabelFrequency(int value)
    Sets the value of the dayOfYearLabelFrequency property.

  - ### isMonthDayOfMonthLabel

    public boolean isMonthDayOfMonthLabel()
    Specifies format of day-of-year labels. A false value specifies that a day-of-year value should label day-of-year tick marks. A true value indicates that a month/day-of-month value is to label day-of-year tick marks.

  - ### setMonthDayOfMonthLabel

    public void setMonthDayOfMonthLabel(boolean value)
    Sets the value of the monthDayOfMonthLabel property.

  - ### getHourLabelFrequency

    public int getHourLabelFrequency()
    Specifies frequency of hour labels.

  - ### setHourLabelFrequency

    public void setHourLabelFrequency(int value)
    Sets the value of the hourLabelFrequency property.

  - ### getHourTickMarkFrequency

    public int getHourTickMarkFrequency()
    Specifies frequency of hour tick labels.

  - ### setHourTickMarkFrequency

    public void setHourTickMarkFrequency(int value)
    Sets the value of the hourTickMarkFrequency property.

  - ### getMinuteLabelFrequency

    public int getMinuteLabelFrequency()
    Specifies frequency of minute labels.

  - ### setMinuteLabelFrequency

    public void setMinuteLabelFrequency(int value)
    Sets the value of the minuteLabelFrequency property.

  - ### getMinuteTickMarkFrequency

    public int getMinuteTickMarkFrequency()
    Specifies frequency of minute tick labels.

  - ### setMinuteTickMarkFrequency

    public void setMinuteTickMarkFrequency(int value)
    Sets the value of the minuteTickMarkFrequency property.